/**
 * ActClassPublicHealthCase2.java
 *
 * File generated from the medication2::ActClassPublicHealthCase2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassPublicHealthCase2.
 *
 * 
 */

@XmlType(name = "ActClassPublicHealthCase")
@XmlEnum
@XmlRootElement(name = "ActClassPublicHealthCase2")
public enum ActClassPublicHealthCase2 {
	@XmlEnumValue("CASE")
	CASE("CASE"),
	@XmlEnumValue("OUTB")
	OUTB("OUTB");
	
	private final String value;

    ActClassPublicHealthCase2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassPublicHealthCase2 fromValue(String v) {
        for (ActClassPublicHealthCase2 c: ActClassPublicHealthCase2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
